;-| AI |------------------------------------------------------
[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0

;------------------------------------------------------------------------------
; カンフーマンの入力コマンド定義ファイルです。
; コマンドの入力キーを設定するパートと、技を実行するための条件を設定するパートに分かれています。
;------------------------------------------------------------------------------
;==============================================================================
; 入力キーの設定パート
;==============================================================================
;------------------------------------------------------------------------------
;■設定はこの形が決まり事です。詳細は以下参照。
;
;[Command]
;name = "***"
;command = ###
;time = &&&
;
;■コマンドの名前：「name = "***"」という風に入れます。***に文字を入れてください。
; 　　　　　　　　アルファベットは大文字と小文字でも区別されます。日本語も可能です。
;
;■指定方法：「command = ###」という風に入れます。
;　　　　　　###に下記のキーを組み合わせ入力するコマンドを設定してください。
;
;　　方向キー：　B, DB, D, DF, F, UF, U, UB　（全て大文字で）
;　　　　　　　　B=Back（後）・D=Down（下）・F=Forward（前）・U=Up（上）になっています。
;
;　　ボタン　：　a, b, c, x, y, z, s 　　　　（全て小文字で）
; 
;　※特殊文字
;
;　　スラッシュ（ / ）：ボタンを押しっぱなしにする場合はこれを入れます。
;　　　　　　　　例：command = /F　　　（前キーを押したままにする）
;　　　　　　　　　　command = /B,y　　（後キーを押したままＹボタンを入力）
;
;　　チルダ　　（ ~ ）：ボタンが離される事を認識させる場合はこれを入れます。
;　　　　　　　　例：command = ~c　　　（Ｃボタンを離す）
;　　　　　　　　　　command = ~DB,DF,x（斜め後下を離して斜め前下=>Ｘボタンの順番に入力）
;
;　　　　　　　　※数値を追加する事で、ボタンを離すまでの時間、いわゆる『溜め』を設定出来ます。
;　　　　　　　　例：command = ~20z　　（Ｚボタンを押したままにし、２０フレーム後に離す）
;　　　　　　　　　　command = ~40B,F,b（後キーを押したままにし、４０フレーム後に離して前キー=>Ｂボタンの順番に入力）
;
;　　ドル　　　（ $ ）：複数の方向キー要素を入力出来るようにする場合はこれを入れます。
;　　　　　　　　例：command = $U　　　（上・斜め前上・斜め後上のどれからで始めても良い）
;　　　　　　　　　　command = $DF 　　（下・斜め前下・前のどれからで始めても良い）
;
;　　プラス　　（ + ）：ボタンを同時押しする場合はこれを入れます。
;　　　　　　　　例：command = a+b 　　（ＡボタンとＢボタンを同時押しします）
;　　　　　　　　　　command = x+y+z 　（ＸボタンとＹボタンとＺボタンを同時押しします）
;　　　　　　　　　　command = F+c 　　（前キーとＣボタンを同時押しします）
;
;　※これらの特殊文字は、組み合わせて使用する事も可能です。
;　　　　　　　　例：command = ~30$D,a+b
;　　　　　　　　　　　　　（下要素を３０フレーム溜めて離した後にＡボタンとＢボタンを同時押しします）
;
;■入力コマンド受付時間：「time = &&&」という風に入れます。オプションなので省略可能。
;　　　　　　　　　　　　&&&にコマンドを入力出来る時間を入れてください。時間はフレーム数です（１フレーム＝1/60秒）。
;　　　　　　　　例：time = 24　（入力受付時間を２４フレーム（0.4秒）に設定）
;
; 後は実際に登録されているものを参照してください。
;==============================================================================

;-| ボタン配置 |-----------------------------------------------------
;各ボタンの配置を簡単に変更できます。
;このキャラクターのボタン配置を変えたいときなどに使います。
;x = x を x = a に変えれば、xがaに変わります。

[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| 標準化 |-------------------------------------------------------
[Defaults]
; timeを記述しなかった場合、以下の値が参照されます。最小値は1です。
command.time = 15

; buffer.timeの値です。1〜30まで設定できます。
; 普通は1です。
command.buffer.time = 1

;------------------------------------------------------------------------------
;-| NEO MAX超必殺技 |--------------------------------------------------------------

[Command]
name = "ストームウルフ"
command = ~D, DF, F, D, DF, F, c
time = 30

;------------------------------------------------------------------------------
;-| MAX超必殺技 |--------------------------------------------------------------

[Command]
name = "デッドリーレイブ・ネオ"
command = ~F, D, z
time = 30

[Command]
name = "MAX虚空烈風斬"
command = ~D, B, z+c
time = 25

[Command]
name = "MAXバスターウルフ"
command = ~B, D, a+b
time = 25

[Command]
name = "MAXレイジングストーム"
command = ~D, DF, F, D, DF, F, x+y
time = 25

;------------------------------------------------------------------------------
;-| 超必殺技 |-----------------------------------------------------------------

[Command]
name = "羅生門"
command = ~D, B, D, F, x
time = 35

[Command]
name = "羅生門"
command = ~F, DF, D, DB, B, F, DF, D, DB, B, y
time = 35

[Command]
name = "虚空烈風斬"
command = ~D, DB, B, DB, D, DF, F, x
time = 25

[Command]
name = "虚空烈風斬"
command = ~D, DB, B, DB, D, DF, F, y
time = 25

[Command]
name = "シャインナックル"
command = ~D, F, D, F, a
time = 25

[Command]
name = "シャインナックル"
command = ~D, DF, F, D, DF, F, b
time = 25

[Command]
name = "レイジングストーム"
command = ~D, DF, F, D, DF, F, x
time = 25

[Command]
name = "レイジングストーム"
command = ~D, DF, F, D, DF, F, y
time = 25

;-| EX必殺技 |-------------------------------------------------------------------

[Command]
name = "EXハードエッジ"
command = ~B, D, x+y

[Command]
name = "ダブル烈風拳・改"
command = ~D, DF, F, x+y

[Command]
name = "よのかぜ　双(遠)"
command = ~D, D, a+b

[Command]
name = "よのかぜ　双(近)"
command = ~D, D, x+y

;-| 必殺技 |---------------------------------------------------------------------

[Command]
name = "真空投げ"
command = ~F, D, b+a
time = 25

[Command]
name = "真空投げ"
command = ~F, DF, D, DB, B, F, y
time = 25

[Command]
name = "風牙　弱"
command = ~F, D,DF, x

[Command]
name = "風牙　強"
command = ~F, D,DF, y

[Command]
name = "ひょうがX"
command = ~B, D,DB, x

[Command]
name = "ひょうがY"
command = ~B, D,DB, y

[Command]
name = "ひょうがA"
command = ~B, D,DB, a

[Command]
name = "ひょうがB"
command = ~B, D,DB, b

[Command]
name = "弱ハードエッジ"
command = ~D, DB, B, x

[Command]
name = "強ハードエッジ"
command = ~D, DB, B, y

[Command]
name = "弱ひょうが"
command = ~D, DB, B, a

[Command]
name = "強ひょうが"
command = ~D, DB, B, b

[Command]
name = "蹴撃　弱"
command = ~D, DF, F, a

[Command]
name = "蹴撃　強"
command = ~D, DF, F, b

[Command]
name = "烈風拳"
command = ~D, DF, F, x

[Command]
name = "ダブル烈風拳"
command = ~D, DF, F, y 

[Command]
name = "よのかぜA"
command = ~D, D, a

[Command]
name = "よのかぜB"
command = ~D, D, b

[Command]
name = "よのかぜX"
command = ~D, D, x

[Command]
name = "よのかぜY"
command = ~D, D, y

[Command]
name = "jump"    
command = D, $U
time = 12


;------------------------------------------------------------------------------
;-| キー２回連続入力 |---------------------------------------------------------
[Command]
name = "FF"     ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = F, F
time = 10

[Command]
name = "BB"     ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = B, B
time = 10

;------------------------------------------------------------------------------
;-| 同時押し |-----------------------------------------------------------------
[Command]
name = "a+x+y"
command = a+x+y
time = 1

[Command]
name = "MAX"
command = a+b+y
time = 1

[Command]
name = "recovery"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = x+a
time = 1

[Command]
name = "recovery"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = z
time = 1

[Command]
name = "ふっとばし"
command = y+b
time = 1

[Command]
name = "ふっとばし"
command = c
time = 1

[Command]
name = "x+y"
command = x+y
time = 1

[Command]
name = "a+b"
command = a+b
time = 1

;------------------------------------------------------------------------------
;-| 方向キー＋ボタン |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;------------------------------------------------------------------------------
;-| ボタン単発 |---------------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;------------------------------------------------------------------------------
;-| 方向キー押しっぱなし |-----------------------------------------------------
[Command]
name = "holdfwd"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$F
time = 1

[Command]
name = "holdback"  ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$B
time = 1

[Command]
name = "holdup"    ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$U
time = 1

[Command]
name = "holddown"  ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$D
time = 1

[Command]
name = "holdx+a"
command = /$x+a
time = 1

[Command]
name = "holdx+y"
command = /$x+y
time = 1

[Command]
name = "holda"
command = /$a
time = 1

[Command]
name = "holdb"
command = /$b
time = 1

[Command]
name = "holdc"
command = /$c
time = 1

[Command]
name = "holdx"
command = /$x
time = 1

[Command]
name = "holdy"
command = /$y
time = 1

;-----------------------------------------------------------------------
;AIヘルパー用
[command]
name="fwd"
command=F
time=1
[command]
name="back"
command=B
time=1
[command]
name="up"
command=U
time=1
[command]
name="down"
command=D
time=1

;------------------------------------------------------------------------------
;==============================================================================
; 技を実行するための条件の設定（ステートエントリーパート）
;==============================================================================
;------------------------------------------------------------------------------
; ここから下は「どのコマンドでどの番号のステートをどういう条件で出せるか」を設定する場所です。
;（ステートに関してはCNSファイルを参照）
; 
;■設定は基本的にこの形になります。
;
; [State -1, Label]                  ;「Label」の部分はただのラベルです。何でも良いです。それ以外は変更不可。
; type = ChangeState                 ;「別のステートに変更する」という意味のステートコントローラ
; value = new_state_number           ;出したい技のステート番号を入れます
; trigger1 = command = command_name  ;入力キー設定パートで登録したコマンドの名前をどれか入れます
; . . .  (any additional triggers)   ;trigger（条件を指定するトリガー）を追加出来ます
;
;■triggerに使える基本的な条件（通常は「トリガー」と呼ばれています）
;
;   - StateType    - キャラクターがどの状態の時にそのステートを出せるかどうかを決められます。
;                    S=立った状態・C=座った状態・A=空中にいる状態・L=横に倒れた状態、の４つが決まり事です。
;                    CNSのStatedefの下にある「Type = *」の項目が状態の意味なので、これをこのトリガーで判断します。
;
;   - Ctrl         - コントロールが可能か不可能かどちらかの時にそのステートを出せるかどうかを決められます。
;                    0=コントロール不可能状態・1=コントロール可能状態、ですが通常は Ctrl = 1 ( = 1 省略可能)が基本。
;
;   - StateNo      - 別の番号のステートから出せる事が可能になります。
;                    これを応用してスーパーキャンセルも可能です。
;
;   - MoveContact  - 物理攻撃が相手に当たった時（攻撃がヒットした時、もしくはガードされた時）に、
;                    そのステートを出せるかどうかを決められます。２種類４パターンあります。
;                    MoveContact or MoveContact = 1  （攻撃が当たった時）
;                    !MoveContact or MoveContact = 0 （攻撃が当たってない時）
;                    これを応用してスーパーキャンセルも可能です。
;
;　※上の４つ以外にもありますが、他のトリガーはM.U.G.E.N本体docsフォルダの中の
;　　CNSドキュメンテーションを参照してください。
;
;■ステートエントリーの順序
;
; ChangeStateの登録の順番は重要です。上に来れば来るほどコマンド入力の優先度が高くなります。
;
; 引用になりますが、例えば「波動拳コマンドのChangeState（↓＼→＋パンチ）」を
;「昇龍拳コマンドのChangeState（→↓＼＋パンチ）」よりも上に登録した場合、
; ゲーム中では昇龍拳を出そうとしても波動拳が誤って暴発しやすくなってしまいます。
; 防止するためには、「波動拳のChangeState」を「昇龍拳のChangeState」よりも下に登録しなくてはなりません。
;「レバーを前に入れて出す特殊技」と「投げ技」の関係なども同様です。
;
; 順番をよく考えて登録しましょう。
;
;■AI(CPU)はどう動くのか
;MUGENの標準CPUは相手に近づき適当に攻撃を繰り出すだけなので、AIスイッチによる制御が必要なこともあります。
;
;■[Statedef -1]とは？
;
; この部分はCNSプログラミングの拡張部分の、常時監視ステートになります。
; どのいかなる状態でも設定した記述が常に有効になるステートです（CNSの[Statedef -2]と似たような部分）。
;
; 必要な記述と行なので、絶対に消さないでください。
;
;==============================================================================
;------------------------------------------------------------------------------

[Statedef -1];←この行は絶対に消さないでください。必須の項目です。

;==============================================================================
;ストームウルフ
[State -1, SW]
type = ChangeState
value = 4500
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "ストームウルフ"
triggerall = power >= 3000 && var(40) = 0 || power >= 2000 && var(40) > 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger13 = stateno = 1150 && AnimElemtime(8) >= 0 && AnimElemtime(12) < 0 && movecontact
trigger14 = stateno = 2150 && AnimElemtime(4) >= 0 && AnimElemtime(9) < 0 && movecontact
trigger15 = stateno = 3100 && AnimElemtime(8) >= 0 && AnimElemtime(11) <= 1 && movecontact
trigger16 = stateno = 3210 && AnimElemtime(9) > 0 && AnimElemtime(15) < 0 && Projcontacttime(3210) >= 1

;==============================================================================
;MAX虚空烈風斬
[State -1, MAX KR]
type = ChangeState
value = 4400
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "MAX虚空烈風斬"
triggerall = power >= 2000 && var(40) = 0 || power >= 1000 && var(40) > 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger13 = stateno = 1150 && AnimElemtime(8) >= 0 && AnimElemtime(12) < 0 && movecontact
trigger14 = stateno = 2150 && AnimElemtime(4) >= 0 && AnimElemtime(9) < 0 && movecontact
trigger15 = stateno = 3100 && AnimElemtime(8) >= 0 && AnimElemtime(11) <= 1 && movecontact
trigger16 = stateno = 3210 && AnimElemtime(9) > 0 && AnimElemtime(15) < 0 && Projcontacttime(3210) >= 1

;------------------------------------------------------------------------------
;MAXバスターウルフ
[State -1, MAX BW]
type = null;ChangeState
value = 4300
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "MAXバスターウルフ"
triggerall = power >= 2000 && var(40) = 0 || power >= 1000 && var(40) > 0
triggerall = var(10) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger13 = stateno = 1150 && AnimElemtime(8) >= 0 && AnimElemtime(12) < 0 && movecontact
trigger14 = stateno = 2150 && AnimElemtime(4) >= 0 && AnimElemtime(9) < 0 && movecontact
trigger15 = stateno = 3100 && AnimElemtime(8) >= 0 && AnimElemtime(11) <= 1 && movecontact
trigger16 = stateno = 3210 && AnimElemtime(9) > 0 && AnimElemtime(15) < 0 && Projcontacttime(3210) >= 1

;------------------------------------------------------------------------------
;ネオ・レイジングストーム
[State -1, MAX RS]
type = ChangeState
value = 4050
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "MAXレイジングストーム"
triggerall = power >= 2000 && var(40) = 0 || power >= 1000 && var(40) > 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger13 = stateno = 1150 && AnimElemtime(8) >= 0 && AnimElemtime(12) < 0 && movecontact
trigger14 = stateno = 2150 && AnimElemtime(4) >= 0 && AnimElemtime(9) < 0 && movecontact
trigger15 = stateno = 3100 && AnimElemtime(8) >= 0 && AnimElemtime(11) <= 1 && movecontact
trigger16 = stateno = 3210 && AnimElemtime(9) > 0 && AnimElemtime(15) < 0 && Projcontacttime(3210) >= 1

;==============================================================================
;羅生門
[State -1, RASHOUMON]
type = ChangeState
value = 3400
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "羅生門"
triggerall = power >= 1000 && var(40) = 0 || var(40) > 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger13 = stateno = 1150 && AnimElemtime(8) >= 0 && AnimElemtime(12) < 0 && movecontact
trigger14 = stateno = 2150 && AnimElemtime(4) >= 0 && AnimElemtime(9) < 0 && movecontact
trigger15 = stateno = 1305 && AnimElemtime(3) >= 0
trigger16 = stateno = 1315 && AnimElemtime(3) >= 0
trigger17 = stateno = 1325 && AnimElemtime(3) >= 0

;------------------------------------------------------------------------------
;シャインナックル
[State -1, SN]
type = ChangeState
value = 3100
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "シャインナックル"
triggerall = power >= 1000 && var(40) = 0 || var(40) > 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger13 = stateno = 1150 && AnimElemtime(8) >= 0 && AnimElemtime(12) < 0 && movecontact
trigger14 = stateno = 2150 && AnimElemtime(4) >= 0 && AnimElemtime(9) < 0 && movecontact

;------------------------------------------------------------------------------
;レイジングストーム
[State -1, RS]
type = ChangeState
value = 3000
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "レイジングストーム"
triggerall = power >= 1000 && var(40) = 0 || var(40) > 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger13 = stateno = 1150 && AnimElemtime(8) >= 0 && AnimElemtime(12) < 0 && movecontact
trigger14 = stateno = 2150 && AnimElemtime(4) >= 0 && AnimElemtime(9) < 0 && movecontact

;==============================================================================
;EXハードエッジ
[State -1, EX HE]
type = ChangeState
value = 11100
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "EXハードエッジ"
triggerall = power >= 500 && var(40) = 0 || var(40) > 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;------------------------------------------------------------------------------
;ダブル烈風拳・改
[State -1, EX DRK]
type = ChangeState
value = 11000
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "ダブル烈風拳・改"
triggerall = power >= 500 && var(40) = 0 || var(40) > 0
triggerall = numprojID(1000) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;------------------------------------------------------------------------------
;よのかぜ　双(近)
[State -1, EX YONOKAZE L]
type = ChangeState
value = 12000
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "よのかぜ　双(近)"
triggerall = power >= 500 && var(40) = 0 || var(40) > 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;よのかぜ　双(遠)
[State -1, EX YONOKAZE S]
type = ChangeState
value = 12050
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "よのかぜ　双(遠)"
triggerall = power >= 500 && var(40) = 0 || var(40) > 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;==============================================================================
;真空投げ
[State -1, SN]
type = ChangeState
value = 1500
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "真空投げ"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger3 = stateno = 1305 && AnimElemtime(3) >= 0
trigger4 = stateno = 1315 && AnimElemtime(3) >= 0
trigger5 = stateno = 1325 && AnimElemtime(3) >= 0

;------------------------------------------------------------------------------
;風牙　弱
[State -1, L fuga]
type = ChangeState
value = 1200
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "風牙　弱"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;風牙　強
[State -1, S fuga]
type = ChangeState
value = 1250
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "風牙　強"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;------------------------------------------------------------------------------
;Xひょうが
[State -1, HYOUGA X]
type = ChangeState
value = 1300
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "ひょうがX"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;Aひょうが
[State -1, HYOUGA A]
type = ChangeState
value = 1310
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "ひょうがA"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;Yひょうが
[State -1, HYOUGA Y]
type = ChangeState
value = 1320
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "ひょうがY"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;Bひょうが
[State -1, HYOUGA B]
type = ChangeState
value = 1330
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "ひょうがB"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;------------------------------------------------------------------------------
;当て身技(仮)
[State -1, ATEMI]
type = null;ChangeState
value = 1800
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "弱ひょうが" || command = "強ひょうが"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;------------------------------------------------------------------------------
;弱ひょうが
[State -1, L HYOUGA]
type = ChangeState
value = 1600
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "弱ひょうが"
triggerall = var(10) = 1
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;強ひょうが
[State -1, S HYOUGA]
type = ChangeState
value = 1650
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "強ひょうが"
triggerall = var(10) = 1
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;------------------------------------------------------------------------------
;蹴撃　弱
[State -1, L SG]
type = ChangeState
value = 1700
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "蹴撃　弱"
triggerall = var(10) = 1
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;蹴撃　強
[State -1, S SG]
type = ChangeState
value = 1750
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "蹴撃　強"
triggerall = var(10) = 1
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;------------------------------------------------------------------------------
;疾風拳
[State -1, SK]
type = ChangeState
value = 2300
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "弱ハードエッジ" || command = "強ハードエッジ"
triggerall = var(10) = 0
triggerall = statetype = A
trigger1 = ctrl

;------------------------------------------------------------------------------
;弱ハードエッジ
[State -1, HE L]
type = ChangeState
value = 1100
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "弱ハードエッジ"
triggerall = var(10) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;強ハードエッジ
[State -1, HE S]
type = ChangeState
value = 1150
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "強ハードエッジ"
triggerall = var(10) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;------------------------------------------------------------------------------
;斬空
[State -1, L ZK]
type = ChangeState
value = 2100
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "弱ハードエッジ"
triggerall = var(10) = 1
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;斬空・瞬
[State -1, S ZK]
type = ChangeState
value = 2150
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "強ハードエッジ"
triggerall = var(10) = 1
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;------------------------------------------------------------------------------
;烈風拳
[State -1, RK]
type = ChangeState
value = 1000
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "烈風拳"
triggerall = statetype != A
triggerall = numprojID(1000) = 0
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;ダブル烈風拳
[State -1, DRK]
type = ChangeState
value = 1050
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "ダブル烈風拳"
triggerall = statetype != A
triggerall = numprojID(1000) = 0
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;------------------------------------------------------------------------------
;烈風拳'96
[State -1, L RK]
type = null;ChangeState
value = 2200
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "烈風拳"
triggerall = var(10) = 0
triggerall = statetype != A
triggerall = numprojID(2200) = 0
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;ダブル烈風拳'96
[State -1, S RK]
type = null;ChangeState
value = 2250
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "ダブル烈風拳"
triggerall = var(10) = 0
triggerall = statetype != A
triggerall = numprojID(1000) = 0
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(6) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0
trigger9 = stateno = 300 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger10 = stateno = 315 && animelemtime(10) > 0 && animelemtime(12) < 0
trigger11 = stateno = 320 && animelemtime(9) < 0 && !movecontact
trigger12 = stateno = 330 && animelemtime(4) > 0 && animelemtime(5) < 0

;------------------------------------------------------------------------------
;よのかぜX
[State -1, YONOKAZE　X]
type = ChangeState
value = 2000
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "よのかぜX"
triggerall = statetype != A
trigger1 = ctrl

;よのかぜA
[State -1, YONOKAZE　A]
type = ChangeState
value = 2005
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "よのかぜA"
triggerall = statetype != A
trigger1 = ctrl

;よのかぜY
[State -1, YONOKAZE　Y]
type = ChangeState
value = 2015
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "よのかぜY"
triggerall = statetype != A
trigger1 = ctrl

;よのかぜB
[State -1, YONOKAZE　B]
type = ChangeState
value = 2020
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "よのかぜB"
triggerall = statetype != A
trigger1 = ctrl

;------------------------------------------------------------------------------
;パワー溜め
[State -1]
type = ChangeState
value = 750
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "holda" && command = "holdx" && command = "holdy"
triggerall = statetype != A && stateno = [0,12]
trigger1 = Power < PowerMax
trigger1 = var(40) = 0
trigger1 = ctrl

;---------------------------------------------------------------------------
;MAX発動
[State -1, Jump Strong Kick]
type = ChangeState
value = 900
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "MAX" || command = "ふっとばし" && command = "holddown"
triggerall = power >= 1000 && var(40) = 0
triggerall = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;クイックMAX
[State -1, Jump Strong Kick]
type = ChangeState
value = 901
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "MAX" || command = "ふっとばし" && command = "holddown"
triggerall = power >= 2000 && var(40) = 0
triggerall = statetype != A
trigger1 = stateno = [200,499]
trigger1 = movecontact
trigger2 = stateno = 1150 && AnimElemtime(8) >= 0 && AnimElemtime(12) < 0 && movecontact
trigger3 = stateno = 2150 && AnimElemtime(4) >= 0 && AnimElemtime(9) < 0 && movecontact

;---------------------------------------------------------------------------
;後緊急回避
[State -1, T S]
type = ChangeState
value = 710
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "recovery" && command = "holdback"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = power >= 1000
trigger2 = stateno = [150,151]

;---------------------------------------------------------------------------
;前緊急回避
[State -1, T S]
type = ChangeState
value = 700
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "recovery"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = power >= 1000
trigger2 = stateno = [150,151]
trigger3 = stateno = 100

;---------------------------------------------------------------------------
;受身
[State -1, UKEMI]
type = ChangeState
value = 52000
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "recovery"
triggerall = alive = 1
trigger1 = stateno = 5050 || stateno = 5071
trigger1 = vel y > 0 && vel y < 9
trigger1 = pos y >= 10

;------------------------------------------------------------------------------
;ガーキャンふっとばし
[State -1, Throw]
type = ChangeState
value = 305
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "ふっとばし"
triggerall = statetype = S
triggerall = stateno != 100
trigger1 = power >= 1000
trigger1 = stateno = [150,151]

;------------------------------------------------------------------------------
;ふっとばし
[State -1, Throw]
type = ChangeState
value = 300
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "ふっとばし"
triggerall = command != "holddown"
triggerall = statetype = S
triggerall = stateno != 100
trigger1 = ctrl

;------------------------------------------------------------------------------
;空中ふっとばし
[State -1, CD]
type = ChangeState
value = 650
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "ふっとばし"
triggerall = statetype = A
trigger1 = ctrl

;------------------------------------------------------------------------------
;P投げ
[State -1, Throw]
type = ChangeState
value = 800
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "y"
triggerall = command = "holdfwd" || command = "holdback"
triggerall = statetype = S
triggerall = stateno != 100
trigger1 = p2bodydist X < 15
trigger1 = p2statetype != A && p2movetype != H
trigger1 = ctrl

;------------------------------------------------------------------------------
;K投げ
[State -1, Throw]
type = ChangeState
value = 805
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "b"
triggerall = command = "holdfwd" || command = "holdback"
triggerall = statetype = S
triggerall = stateno != 100
trigger1 = p2bodydist X < 15
trigger1 = p2statetype != A && p2movetype != H
trigger1 = ctrl

;------------------------------------------------------------------------------
;上段避け攻撃
[State -1, JSK]
type = ChangeState
value = 310
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "x"
triggerall = command = "holdfwd"
triggerall = statetype != A
triggerall = command != "holddown"
trigger1 = ctrl
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger4 = stateno = 245 && animelemtime(7) > 0 && animelemtime(8) < 0
trigger5 = stateno = 400 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger6 = stateno = 410 && animelemtime(6) > 0 && animelemtime(7) < 0
trigger7 = stateno = 430 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger8 = stateno = 440 && animelemtime(6) > 0 && animelemtime(8) < 0

;下段避け攻撃
[State -1, GSK]
type = ChangeState
value = 320
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "a"
triggerall = command = "holdfwd"
triggerall = statetype = S
trigger1 = ctrl

;コンビネーション
[State -1, C]
type = ChangeState
value = 330
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "b"
triggerall = command = "holdfwd"
triggerall = statetype = S
trigger1 = stateno = 245 && AnimElemtime(8) < 0 && movecontact

;------------------------------------------------------------------------------
;ダッシュ
[State -1, Dash]
type = ChangeState
value = 100
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;バックステップ
[State -1, Back Step]
type = ChangeState
value = 105
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;==============================================================================
;近距離立ち弱パンチ
[State -1, Stand Light Punch]
type = ChangeState
value = 205
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = statetype = S
triggerall = p2bodydist X < 20
trigger1 = ctrl

;遠距離立ち弱パンチ
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl

;近距離立ち強パンチ
[State -1, Stand Strong Punch]
type = ChangeState
value = 215
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = statetype = S
triggerall = p2bodydist X < 22
trigger1 = ctrl

;遠距離立ち強パンチ
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl

;------------------------------------------------------------------------------
;近距離立ち弱キック
[State -1, Stand Light Kick]
type = ChangeState
value = 235
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = statetype = S
triggerall = p2bodydist X < 12
trigger1 = ctrl

;遠距離立ち弱キック
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl

;近距離立ち強キック
[State -1, Standing Strong Kick]
type = ChangeState
value = 245
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = statetype = S
triggerall = p2bodydist X < 25
trigger1 = ctrl

;遠距離立ち強キック
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl

;------------------------------------------------------------------------------
;挑発
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;------------------------------------------------------------------------------
;しゃがみ弱パンチ
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && time >= 7
trigger3 = stateno = 430 && time >= 6

;しゃがみ強パンチ
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;------------------------------------------------------------------------------
;しゃがみ弱キック
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && time >= 6
trigger3 = stateno = 430 && time >= 7

;しゃがみ強キック
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;------------------------------------------------------------------------------
;ジャンプ弱パンチ
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "x"
triggerall = stateno != 105  ;バックステップ中は禁止
trigger1 = statetype = A
trigger1 = ctrl

;ジャンプ強パンチ
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "y"
triggerall = stateno != 105
trigger1 = statetype = A
trigger1 = ctrl

;------------------------------------------------------------------------------
;ジャンプ弱キック
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "a"
triggerall = stateno != 105
trigger1 = statetype = A
trigger1 = ctrl


;ジャンプ強キック
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = var(59) != 1 || var(59) = 1 && var(57) <= 4
triggerall = command = "b"
triggerall = stateno != 105
trigger1 = statetype = A
trigger1 = ctrl